Subject: Re: Source packaging - alternatives

From: Dale Scheetz <[email-masked]>
Date: Mon, 1 Jul 1996 08:53:32 -0400 (EDT)

On 30 Jun 1996, Rob Browning wrote:

> Ian Jackson <[email-masked]> writes:
> 
> >   are no differences that diff can't handle (deleted files, retargeted
> >   links, &c).
> 
> I don't know if "retargeted links" covers the following situation, but
> don't forget about dangling symbolic links.  The GIMP upstream source
> contains links to a binaries which don't exist until you build the
> package.  This does not make diff happy.  I got around the problem by
> just deleting the links in the upstream source before running diff,
> but this is not really ideal.
> 
I have the same problem with pine. The pine developers tell me that POSIX
"allows" dangling symlinks (a symlink with no target) and so, have no
inclination to fix them. 
Try the '-X file' option. This should allow you to tell diff to ignore
those directories/paths that are broken symlinks. I am going to impliment
this with pine today, so I'll let you know how it worked.

Luck,

Dwarf

------------                                          --------------

aka   Dale Scheetz                   Phone:   1 (904) 877-0257
      Flexible Software              Fax:     NONE 
      Black Creek Critters           e-mail:  [email-masked]

------------ If you don't see what you want, just ask --------------